Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class AbstractEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent

All Implemented Interfaces:
  org.w3c.dom.events.Event

Direct Known Subclasses:
  DOMEvent, DOMMutationEvent, DOMUIEvent, SVGOMEvent

public abstract class AbstractEvent
extends java.lang.Object
implements org.w3c.dom.events.Event

The abstract `Event` root class.

Field Summary
`protected boolean` | `cancelable` Whether this event is cancelable.
`protected org.w3c.dom.events.EventTarget` | `currentTarget` The EventTarget whose EventListeners are currently being processed.
`protected short` | `eventPhase` The event phase.
`protected boolean` | `isBubbling` Whether this event is bubbling.
`protected boolean` | `preventDefault` Whether the default action must be processed.
`protected boolean` | `stopPropagation` Whether the event propagation must be stopped.
`protected org.w3c.dom.events.EventTarget` | `target` The target of this event.
`protected long` | `timeStamp` The time the event was created.
`protected java.lang.String` | `type` The event type.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`AbstractEvent()`

Method Summary
`boolean` | `getBubbles()` DOM: The `bubbles` property indicates whether or not an event is a bubbling event.
`boolean` | `getCancelable()` DOM: The `cancelable` property indicates whether or not an event can have its default action prevented.
`org.w3c.dom.events.EventTarget` | `getCurrentTarget()` DOM: The `target` property indicates the `EventTarget` whose `EventListeners` are currently being processed.
`short` | `getEventPhase()` DOM: The `eventPhase` property indicates which phase of event flow is currently being evaluated.
`static boolean` | `getEventPreventDefault(org.w3c.dom.events.Event evt)`
`org.w3c.dom.events.EventTarget` | `getTarget()` DOM: The `target` property indicates the `EventTarget` to which the event was originally dispatched.
`long` | `getTimeStamp()` DOM: Used to specify the time (in milliseconds relative to the epoch) at which the event was created.
`java.lang.String` | `getType()` DOM: The `type` property represents the event name as a string property.
`void` | `initEvent(java.lang.String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` DOM: The `initEvent` method is used to initialize the value of interface.
`void` | `preventDefault()` DOM: If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur.
`void` | `stopPropagation()` DOM: The `stopPropagation` method is used prevent further propagation of an event during event flow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

  The event type.

### isBubbling

    protected boolean isBubbling

  Whether this event is bubbling.

### cancelable

    protected boolean cancelable

  Whether this event is cancelable.

### currentTarget

    protected org.w3c.dom.events.EventTarget currentTarget

  The EventTarget whose EventListeners are currently being processed.

### target

    protected org.w3c.dom.events.EventTarget target

  The target of this event.

### eventPhase

    protected short eventPhase

  The event phase.

### timeStamp

    protected long timeStamp

  The time the event was created.

### stopPropagation

    protected boolean stopPropagation

  Whether the event propagation must be stopped.

### preventDefault

    protected boolean preventDefault

  Whether the default action must be processed.

Constructor Detail

### AbstractEvent

    public AbstractEvent()

Method Detail

### getType

    public java.lang.String getType()

  DOM: The `type` property represents the event name as a string property. The string must be an XML name.

  Specified by:
    `getType` in interface `org.w3c.dom.events.Event`

### getCurrentTarget

    public org.w3c.dom.events.EventTarget getCurrentTarget()

  DOM: The `target` property indicates the `EventTarget` whose `EventListeners` are currently being processed.

  Specified by:
    `getCurrentTarget` in interface `org.w3c.dom.events.Event`

### getTarget

    public org.w3c.dom.events.EventTarget getTarget()

  DOM: The `target` property indicates the `EventTarget` to which the event was originally dispatched.

  Specified by:
    `getTarget` in interface `org.w3c.dom.events.Event`

### getEventPhase

    public short getEventPhase()

  DOM: The `eventPhase` property indicates which phase of event flow is currently being evaluated.

  Specified by:
    `getEventPhase` in interface `org.w3c.dom.events.Event`

### getBubbles

    public boolean getBubbles()

  DOM: The `bubbles` property indicates whether or not an event is a bubbling event. If the event can bubble the value is true, else the value is false.

  Specified by:
    `getBubbles` in interface `org.w3c.dom.events.Event`

### getCancelable

    public boolean getCancelable()

  DOM: The `cancelable` property indicates whether or not an event can have its default action prevented. If the default action can be prevented the value is true, else the value is false.

  Specified by:
    `getCancelable` in interface `org.w3c.dom.events.Event`

### getTimeStamp

    public long getTimeStamp()

  DOM: Used to specify the time (in milliseconds relative to the epoch) at which the event was created. Due to the fact that some systems may not provide this information the value of `timeStamp` may be returned. Examples of epoch time are the time of the system start or 0:0:0 UTC 1st January 1970.

  Specified by:
    `getTimeStamp` in interface `org.w3c.dom.events.Event`

### stopPropagation

    public void stopPropagation()

  DOM: The `stopPropagation` method is used prevent further propagation of an event during event flow. If this method is called by any `EventListener` the event will cease propagating through the tree. The event will complete dispatch to all listeners on the current `EventTarget` before event flow stops. This method may be used during any stage of event flow.

  Specified by:
    `stopPropagation` in interface `org.w3c.dom.events.Event`

### preventDefault

    public void preventDefault()

  DOM: If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur. If, during any stage of event flow, the `preventDefault` method is called the event is canceled. Any default action associated with the event will not occur. Calling this method for a non-cancelable event has no effect. Once `preventDefault` has been called it will remain in effect throughout the remainder of the event's propagation. This method may be used during any stage of event flow.

  Specified by:
    `preventDefault` in interface `org.w3c.dom.events.Event`

### initEvent

    public void initEvent(java.lang.String eventTypeArg,
                          boolean canBubbleArg,
                          boolean cancelableArg)

  DOM: The `initEvent` method is used to initialize the value of interface. This method may only be called before the `Event` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times the final invocation takes precedence. If called from a subclass of `Event` interface only the values specified in the `initEvent` method are modified, all other attributes are left unchanged.

  Specified by:
    `initEvent` in interface `org.w3c.dom.events.Event`
  Parameters:
    `eventTypeArg` - Specifies the event type. This type may be any event type currently defined in this specification or a new event type.. The string must be an XML name . Any new event type must not begin with any upper, lower, or mixed case version of the string "DOM". This prefix is reserved for future DOM event sets.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.

### getEventPreventDefault

    public static boolean getEventPreventDefault(org.w3c.dom.events.Event evt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.